Bug 327731 - top gnome panel not drawn on login after update to 0.6 final
top gnome panel not drawn on login after update to 0.6 final
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 10:25 EDT by Thomas J. Baker
Modified: 2008-01-12 15:55 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.2-2.fc8.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 15:55:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2007-10-11 10:25:58 EDT
After updating to this morning's rawhide, on three different systems, the top
gnome panel is not visible after logging in. It's there as an open window won't
be drawn over it but you can't see it or access it. Restarting compiz fixes the
problem. 

This is what I have installed:

raptor> rpm -qa | grep compiz
compiz-fusion-gnome-0.5.2-9.09b700.fc8.x86_64
compiz-fusion-0.5.2-9.09b700.fc8.x86_64
compiz-gnome-0.6.0-1.fc8.x86_64
compiz-fusion-extras-gnome-0.5.2-8.6871d0.fc8.x86_64
compiz-fusion-extras-0.5.2-8.6871d0.fc8.x86_64
compiz-0.6.0-1.fc8.x86_64
raptor> 

Yesterday I updated to the koji builds with the gnome-terminal patch and they
did not have this problem. Seems like there may be some problems with the
0.6-final. I just read the compiz mailing list and the initial post 0.6-final
patch which is applied to this fedora release apparently doesn't always work.
There hasn't been any discussion for about a week though. Maybe 0.6.2 will be
out and fix it.
Comment 1 Thomas J. Baker 2007-10-11 11:15:30 EDT
I just logged out and logged back in to test another bug and now the top panel
is drawn. The gnome-keyring-dialog was not though. Actually it was but
disappeared moments later. Definitely some kind of window stacking thing.
Comment 2 Thomas J. Baker 2007-10-18 06:56:16 EDT
I just saw the freeze notice. I guess this is not worthy of blocking as compiz
is not on by default? If you don't know it's coming, this bug essentially breaks
the desktop. No top panel, no way to launch or do nearly anything. (I've got a
deskbar-applet function set to "killall -HUP compiz" which is my workaround.) I
know compiz 0.6.2 hasn't been released yet but the compiz list suggests this
week. I may try a git pull to see if they have it fixed if I can figure out how.
Comment 3 Thomas J. Baker 2007-10-18 15:11:14 EDT
Compiz 0.6.2 was released today. I built it based on the current compiz.spec,
removing the first two patches, and it fixes this bug along with another one I
was seeing (a window decoration drawing bug) and I haven't found any regressions
yet. Tested on nvidia and intel.
Comment 4 shrek-m 2007-10-25 09:43:35 EDT
compiz-0.6.2-2.fc8

thanks, the top-panel is now always visible.

# grep compiz /var/log/yum.log
Okt 24 15:48:39 Updated: compiz-bcop - 0.6.0-1.fc8.noarch
Okt 24 15:49:09 Updated: compiz - 0.6.2-2.fc8.i386
Okt 24 15:49:11 Updated: compiz-fusion - 0.6.0-2.fc8.i386
Okt 24 15:49:13 Updated: compiz-fusion-extras - 0.6.0-1.fc8.i386
Okt 24 15:52:09 Updated: compiz-gnome - 0.6.2-2.fc8.i386
Okt 24 15:54:56 Updated: compiz-fusion-extras-gnome - 0.6.0-1.fc8.i386
Okt 24 15:57:16 Updated: compiz-fusion-gnome - 0.6.0-2.fc8.i386
Okt 25 12:12:46 Updated: libcompizconfig - 0.6.0-3.fc8.i386

Note You need to log in before you can comment on or make changes to this bug.